# Gst::ParseError Class Reference

The different parsing errors that can occur. More...

`#include <parse.h>`

List of all members.

## Public Types
enum | Code { SYNTAX, NO_SUCH_ELEMENT, NO_SUCH_PROPERTY, LINK, COULD_NOT_SET_PROPERTY, EMPTY_BIN, EMPTY }
## Public Member Functions
| ParseError (Code error_code, const Glib::ustring& error_message)
| ParseError (GError* gobject)
Code | code () const

## Detailed Description

The different parsing errors that can occur.

- SYNTAX - A syntax error occured.
- NO_SUCH_ELEMENT - The description contained an unknown element
- NO_SUCH_PROPERTY - An element did not have a specified property
- LINK - There was an error linking two pads.
- COULD_NOT_SET_PROPERTY - There was an error setting a property
- EMPTY_BIN - An empty bin was specified.
- EMPTY - An empty description was specified

## Member Enumeration Documentation

enum Gst::ParseError::Code

Enumerator:

  SYNTAX |
  NO_SUCH_ELEMENT |
  NO_SUCH_PROPERTY |
  LINK |
  COULD_NOT_SET_PROPERTY |
  EMPTY_BIN |
  EMPTY |

## Constructor & Destructor Documentation

Gst::ParseError::ParseError | ( | Code | error_code,
|  | const Glib::ustring & | error_message |
| ) |  |  |

Gst::ParseError::ParseError | ( | GError * | gobject | ) | `[explicit]`

## Member Function Documentation

Code Gst::ParseError::code | ( |  | ) | const

The documentation for this class was generated from the following file:

- parse.h